
import os


class Config(object):
    # 项目的目录,现获取本文件的绝对路径，再获取文件目录，再获取上一级目录，就是本项目目录
    BASE_DIR = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))

    """获取ini配置文件的路径"""

    @property
    def ini_path(self):
        # 先拼接ini文件目录
        ini_path = os.path.join(self.BASE_DIR, 'config', 'config.ini')
        if not os.path.exists(ini_path):
            raise FileNotFoundError("配置文件%s不存在！" % ini_path)
        return ini_path
